This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 971085 - perl-Digest-MD5-File installs MD5.pm to wrong path
perl-Digest-MD5-File installs MD5.pm to wrong path
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: perl-Digest-MD5-File (Show other bugs)
18
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Paul Howarth
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-05 11:56 EDT by Fredrik Smedberg
Modified: 2013-06-07 11:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-07 11:25:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fredrik Smedberg 2013-06-05 11:56:42 EDT
Description of problem:
After installing the package 'perl-Digest-Perl-MD5.noarch' on Fedora 18, Perl is still unable to include Digest::MD5.

Version-Release number of selected component (if applicable):
N/A

How reproducible:
I created the following test case:
#!/usr/bin/env perl
use v5.10.0;
use warnings;
use strict;
use Digest::MD5;

Steps to Reproduce:
1. Create test case and save as test.pl
2. Run: perl test.pl

Actual results:
Can't locate Digest/MD5.pm in @INC (@INC contains: /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5 .) at test.pl line 5.

Expected results:
No error.

Additional info:
The MD5.pm file is placed wrong:
/usr/share/perl5/vendor_perl/Digest/Perl

The the correct path is:
/usr/share/perl5/vendor_perl/Digest

This solved the problem for me:
/usr/share/perl5/vendor_perl/Digest$ sudo ln -s Perl/MD5.pm MD5.pm
Comment 1 Paul Howarth 2013-06-07 11:25:25 EDT
Digest::Perl::MD5 and Digest::MD5 are not the same module. The perl-Digest-Perl-MD5 package contains the former but you want the latter.

To fix this, first remove the symlink you created, and then install the package you're actually looking for:

# rm /usr/share/perl5/vendor_perl/Digest/MD5.pm
# yum install 'perl(Digest::MD5)'

Note You need to log in before you can comment on or make changes to this bug.